Get a beneficiary
curl --request GET \
--url https://api.sandbox.tracefinance.com/v1/beneficiaries/{beneficiaryId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.tracefinance.com/v1/beneficiaries/{beneficiaryId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.tracefinance.com/v1/beneficiaries/{beneficiaryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.tracefinance.com/v1/beneficiaries/{beneficiaryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.tracefinance.com/v1/beneficiaries/{beneficiaryId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.tracefinance.com/v1/beneficiaries/{beneficiaryId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.tracefinance.com/v1/beneficiaries/{beneficiaryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "6f1d2c3b-4a5e-4f60-8a7b-9c0d1e2f3a4b",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity": {
"type": "INDIVIDUAL",
"firstName": "João",
"lastName": "Silva",
"address": {
"addressLine1": "<string>",
"country": "BR",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"identificationDocument": {
"type": "CPF",
"value": "52998224725",
"country": "BR"
},
"birthDate": "1985-03-15"
},
"relationshipType": "THIRD_PARTY",
"createdAt": "2026-04-14T10:30:00.0000Z",
"updatedAt": "2026-04-14T10:30:00.0000Z",
"paymentInstructions": [
{
"id": "c3d4e5f6-a7b8-9012-cdef-1234567890ab",
"asset": "BRL",
"currentState": {
"status": "APPROVED",
"reason": {
"code": "INSUFFICIENT_BALANCE",
"message": "Insufficient balance for the requested operation",
"details": {}
},
"createdAt": "2023-11-07T05:31:56Z"
},
"address": {
"rail": "PIX_KEY",
"dictKeyType": "CPF",
"dictKey": "john@example.com"
},
"createdAt": "2026-04-14T10:30:00.0000Z",
"documents": [
{
"referenceId": "9a8b7c6d-5e4f-4321-8fed-cba987654321",
"type": "CUSTODY_ATTESTATION",
"version": 1,
"currentState": {
"status": "ACTION_REQUIRED",
"reason": {
"code": "INSUFFICIENT_BALANCE",
"message": "Insufficient balance for the requested operation",
"details": {}
},
"createdAt": "2026-04-14T10:30:00.0000Z"
}
}
],
"requirements": {
"currentlyDue": [
{
"type": "BENEFICIARY_DOCUMENT",
"documentType": "CUSTODY_ATTESTATION",
"anyOf": [
"CUSTODY_ATTESTATION"
]
}
],
"pendingVerification": [],
"errors": [],
"satisfied": []
},
"custodyDetail": {
"purpose": "Treasury settlement",
"custody": "Coinbase Custody",
"counterparty": "Acme VASP Ltd"
}
}
]
}
Get a beneficiary
Retrieves the details of a beneficiary by its ID.
GET
/
v1
/
beneficiaries
/
{beneficiaryId}
Get a beneficiary
curl --request GET \
--url https://api.sandbox.tracefinance.com/v1/beneficiaries/{beneficiaryId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.tracefinance.com/v1/beneficiaries/{beneficiaryId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.tracefinance.com/v1/beneficiaries/{beneficiaryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.tracefinance.com/v1/beneficiaries/{beneficiaryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.tracefinance.com/v1/beneficiaries/{beneficiaryId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.tracefinance.com/v1/beneficiaries/{beneficiaryId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.tracefinance.com/v1/beneficiaries/{beneficiaryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "6f1d2c3b-4a5e-4f60-8a7b-9c0d1e2f3a4b",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity": {
"type": "INDIVIDUAL",
"firstName": "João",
"lastName": "Silva",
"address": {
"addressLine1": "<string>",
"country": "BR",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"identificationDocument": {
"type": "CPF",
"value": "52998224725",
"country": "BR"
},
"birthDate": "1985-03-15"
},
"relationshipType": "THIRD_PARTY",
"createdAt": "2026-04-14T10:30:00.0000Z",
"updatedAt": "2026-04-14T10:30:00.0000Z",
"paymentInstructions": [
{
"id": "c3d4e5f6-a7b8-9012-cdef-1234567890ab",
"asset": "BRL",
"currentState": {
"status": "APPROVED",
"reason": {
"code": "INSUFFICIENT_BALANCE",
"message": "Insufficient balance for the requested operation",
"details": {}
},
"createdAt": "2023-11-07T05:31:56Z"
},
"address": {
"rail": "PIX_KEY",
"dictKeyType": "CPF",
"dictKey": "john@example.com"
},
"createdAt": "2026-04-14T10:30:00.0000Z",
"documents": [
{
"referenceId": "9a8b7c6d-5e4f-4321-8fed-cba987654321",
"type": "CUSTODY_ATTESTATION",
"version": 1,
"currentState": {
"status": "ACTION_REQUIRED",
"reason": {
"code": "INSUFFICIENT_BALANCE",
"message": "Insufficient balance for the requested operation",
"details": {}
},
"createdAt": "2026-04-14T10:30:00.0000Z"
}
}
],
"requirements": {
"currentlyDue": [
{
"type": "BENEFICIARY_DOCUMENT",
"documentType": "CUSTODY_ATTESTATION",
"anyOf": [
"CUSTODY_ATTESTATION"
]
}
],
"pendingVerification": [],
"errors": [],
"satisfied": []
},
"custodyDetail": {
"purpose": "Treasury settlement",
"custody": "Coinbase Custody",
"counterparty": "Acme VASP Ltd"
}
}
]
}
Authorizations
JWT bearer token. Include as Authorization: Bearer <token>. See the Authentication guide for how to obtain one.
Response
Beneficiary details.
An external beneficiary registered for withdrawals.
Was this page helpful?